[Regression] 0x1025007f needs model=will quirk

Bug #418627 reported by Nicolas Delvaux
64
This bug affects 12 people
Affects Status Importance Assigned to Milestone
alsa-driver (Ubuntu)
Low
Daniel T Chen

Bug Description

Binary package hint: pulseaudio

First of all, notice that sound used to work well on Jaunty (previously too) so this is likely to be a regression.
I noticed this problem while testing Karmic for the first time (around alpha 2).

There is absolutely no sound on the internal speakers of my laptop.
When I plug headphones, I can hear the sound but it's very low and distort (it looks like a disrupted AM radio signal, if you see what I mean).

**What I have tried:**
Of course, all sound levels were increase as much as possible (alsa-mixer, graphical sound-applet...)

I tried every Profile in "Sound Preferences" -> "Hardware" with no results (currently, and by default, it's "Analog Stereo Duplex")

speaker-test was useless (nothing on speakers, something odd on headphones)

I did a fresh install last Sunday (daily-live) but the problem is still here.

If you need some extra information or investigation, ask me !
(sorry for my English)

ProblemType: Bug
Architecture: i386
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: ALC260 Analog [ALC260 Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: nicolas 2999 F.... pulseaudio
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xd0000000 irq 16'
   Mixer name : 'Realtek ALC260'
   Components : 'HDA:10ec0260,1025007f,00100400 HDA:14f12bfa,1025007f,00090000'
   Controls : 23
   Simple ctrls : 12
Date: Tue Aug 25 14:52:57 2009
DistroRelease: Ubuntu 9.10
Package: pulseaudio 1:0.9.16~test6-3-g57e1-0ubuntu1
ProcEnviron:
 LANG=fr_FR.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.31-7.27-generic
SourcePackage: pulseaudio
Uname: Linux 2.6.31-7-generic i686

Revision history for this message
Nicolas Delvaux (malizor) wrote :
Revision history for this message
Nicolas Delvaux (malizor) wrote :

In fact I'm not sure this bug came from pulseaudio, I simply ran "ubuntu-bug pulseaudio" in the hope that it can brought some relevant information.

affects: pulseaudio (Ubuntu) → ubuntu
Revision history for this message
Nicolas Delvaux (malizor) wrote :

Is there something missing ?

This is truly an annoying bug you now.

Revision history for this message
Nicolas Delvaux (malizor) wrote :

I did a fresh install of Karmic alpha 5 and this bug is still alive.

What can I do for trying to figure out this issue ?

Revision history for this message
John Mylchreest (jmylchreest) wrote :

For me the problem was arecord holding open the snd device, this was because of the randomsound init script kicking it off to generate entropy. try lsof | grep snd, and see anything is opening those devices directly. Confirm, first of all with pulseaudio -vv.

Revision history for this message
Nicolas Delvaux (malizor) wrote :

Thank you for your answer.

Here are your log.
For pulseaudio -vv, I had to kill the pulseaudio daemon and run the command quickly before it automatically restart.
(otherwise, the command end simply with "Daemon already running")

As you can see, the problem seem to be related to snd, indeed.

Revision history for this message
Nicolas Delvaux (malizor) wrote :
Revision history for this message
Nicolas Delvaux (malizor) wrote :

I can't figure out what all these errors mean.

Here is another "lsof | grep snd" log but while a sound is being played in Totem.

You can notice that pulseaudio touch the snd device 5 times, is it normal ?

Steve Beattie (sbeattie)
affects: ubuntu → linux (Ubuntu)
Revision history for this message
Nicolas Delvaux (malizor) wrote :

Still the same problem.

I tried, once more, to re-install with a daily-live but no progress.

What can I do ?

Revision history for this message
Nicolas Delvaux (malizor) wrote :

Today I found an old daily-live (06/25 → alpha 2.5 if you prefer) and I tested it.

Sound works properly on this, so this bug came after.

software versions for this .iso:
pulseaudio 1:0.9.15-4ubuntu1
linux 2.6.30-9-generic

Could this be kernel issue ?
How can I figure it out ?

summary: - No sound in Karmic (HDA Intel ICH6 & Realtek ALC260)
+ [Regression] No sound in Karmic (HDA Intel ICH6 & Realtek ALC260)
Revision history for this message
Leann Ogasawara (leannogasawara) wrote : Re: [Regression] No sound in Karmic (HDA Intel ICH6 & Realtek ALC260)

Hi Malaria,

Thanks for testing and confirming the previous versions of the kernel and pulseaudio where this wasn't an issue. That'll help narrow down the regression. The easiest way to determine if this is a kernel issue is to try installing and booting back into the known working 2.6.30-9 kernel. If you still have no sound then it's likely a pulseaudio regression. If sound comes back using the 2.6.30-9 kernel vs the 2.6.31-11 kernel, then it's likely a kernel regression. You can find the old builds of 2.6.30-9 at the following. Please let us know your results. Thanks!

https://edge.launchpad.net/ubuntu/+source/linux/2.6.30-9.10/+build/1074090

ie. https://edge.launchpad.net/ubuntu/+source/linux/2.6.30-9.10/+build/1074090/+files/linux-image-2.6.30-9-generic_2.6.30-9.10_i386.deb

Changed in linux (Ubuntu):
status: New → Incomplete
Revision history for this message
Nicolas Delvaux (malizor) wrote :

Hi Leann,

I already installed my older daily-live but, after all updates, the old kernel prevented X to start (and I didn't manage to resolve this).

Thank you for your link, I'm currently installing the beta and I will try with some older kernels.

Revision history for this message
Nicolas Delvaux (malizor) wrote :

OK, so, unsurprisingly, the beta has the same issue.
I tried jaunty's kernel, 2.6.30-9 (the one that used to work on the 6/25 daily) and 2.6.30-10 and I got absolutely no sound.
(whereas with an an up-to-date kernel there is "at least" very low and distort sounds on my headphones.)

I also tried with kernel 2.6.31-13 and 2.6.31-14 but this time the original bug came back (see bug description for symptoms)

I don't know if these tests are relevant, pre-2.6.31 incompatibility might be caused by some user-space change or other.

What else can I do ?

Andy Whitcroft (apw)
Changed in linux (Ubuntu):
importance: Undecided → Medium
assignee: nobody → Ubuntu Audio Team (ubuntu-audio)
Revision history for this message
Nicolas Delvaux (malizor) wrote :

This bug is a show stopper for me, I really want this to be fix before the release !

I (once again) reinstalled with 10/08 daily-live with no results. I tried to remove pulseaudio for a test purpose, but it wanted to remove gnome entirely so I canceled.

I though about trying another distro for seeing if this bug is reproducible, but in fact I'm not sure this would be very helpful.
What do you think ?

If you have any idea or test to perform (even a very annoying one) which might help, I will do the necessary.

Revision history for this message
Jon Neal (reportingsjr) wrote :

I can also confirm this bug. HDA Intel audio in a dell laptop (If more info is needed I can provide it). This is an extremely annoying bug as without sound the system loses lots of functionality. I am willing to help provide anything I can if I can help fix it!!

Revision history for this message
Daniel T Chen (crimsun) wrote : Re: [Bug 418627] Re: [Regression] No sound in Karmic (HDA Intel ICH6 & Realtek ALC260)

Jon, please file a separate bug using "ubuntu-bug pulseaudio".

On Oct 8, 2009 8:05 PM, "Jon Neal" <email address hidden> wrote:

I can also confirm this bug. HDA Intel audio in a dell laptop (If more
info is needed I can provide it). This is an extremely annoying bug as
without sound the system loses lots of functionality. I am willing to
help provide anything I can if I can help fix it!!

--
[Regression] No sound in Karmic (HDA Intel ICH6 & Realtek ALC260)

https://bugs.launchpad.net/bugs/418627 You received this bug notification
because you are a member o...

Audio Team, which is a bug assignee. Status in “linux” package in Ubuntu:
Incomplete Bug descripti...

Binary package hint: pulseaudio First of all, notice that sound used to work
well on Jaunty (previo...

Revision history for this message
Nicolas Delvaux (malizor) wrote : Re: [Regression] No sound in Karmic (HDA Intel ICH6 & Realtek ALC260)

I did some more kernel testing with karmic/jaunty, so here is a summary of all my tests in this area:

Current jaunty's kernel:
Work great with jaunty, no sound at all on karmic → (so, pulseaudio issue ?)

2.6.30-9
used to work with karmic prior alpha 3 but currently it brings no sound at all.

2.6.31 series (I tested many of them with the same result)
No sound at all on Jaunty.
On Karmic, no sound on internal speakers of my laptop but, with headphones, I can hear the sound but it's low and distort.

2.6.32 (tested with rc3 from here: http://kernel.ubuntu.com/~kernel-ppa/mainline/v2.6.32-rc3/ )
The same as with 2.6.31 (nothing on Jaunty, something strange on Karmic)

All of this seem strange to me, and this time I really don't know what else I can do to help.
Is there a way to downgrade easily pulseaudio for testing ?

@Jon Neal: Do you have the same behaviour with headphones ?

Revision history for this message
Simone Tolotti (simontol) wrote :

Confirmed also un Kubuntu karmic kernel 2.6.31-13. Kde don't use pulseaudio here so I think it is a kernel related issue.

Revision history for this message
Nicolas Delvaux (malizor) wrote :

I also tried with kubuntu beta and, indeed, there is exactly the same bug.

So, we know now that it is a kernel issue, and it seems to have been introduced since 2.6.31 (according to my former tests).

What's next ?

Revision history for this message
Daniel T Chen (crimsun) wrote : Re: [Bug 418627] Re: [Regression] No sound in Karmic (HDA Intel ICH6 & Realtek ALC260)

Beta is too old at this point; you need to try a daily-live:
http://cdimage.ubuntu.com/kubuntu/daily-live/20091011/

Revision history for this message
Nicolas Delvaux (malizor) wrote : Re: [Regression] No sound in Karmic (HDA Intel ICH6 & Realtek ALC260)

Confirm: same problem with 10/11 daily-live.

Revision history for this message
Daniel T Chen (crimsun) wrote : Re: [Bug 418627] Re: [Regression] No sound in Karmic (HDA Intel ICH6 & Realtek ALC260)

Please use "ubuntu-bug alsa-base" from the 20091011 daily-live.

On Oct 11, 2009 6:00 PM, "Malaria" <email address hidden> wrote:

Confirm: same problem with 10/11 daily-live.

--
[Regression] No sound in Karmic (HDA Intel ICH6 & Realtek ALC260)

https://bugs.launchpad.net/bugs/418627 You received this bug notification
because you are a member o...

Audio Team, which is a bug assignee. Status in “linux” package in Ubuntu:
Incomplete Bug descripti...

Binary package hint: pulseaudio First of all, notice that sound used to work
well on Jaunty (previo...

affects: linux (Ubuntu) → alsa-driver (Ubuntu)
Revision history for this message
Nicolas Delvaux (malizor) wrote : Re: [Regression] No sound in Karmic (HDA Intel ICH6 & Realtek ALC260)

ubuntu-bug alsa-base is in bug #449715.

Revision history for this message
Pete Graner (pgraner) wrote :

@Malaria

We have created a new package which contains the latest alsa. The latest alsa seems to have fixed a few problems that are similar to this. Could you please install linux-backports-modules-alsa and retest then report back to the bug.

Thanks

Revision history for this message
Nicolas Delvaux (malizor) wrote :

I have installed "linux-backports-modules-alsa-karmic-generic" and, unfortunately, after a reboot the problem still remain.

Revision history for this message
Daniel T Chen (crimsun) wrote : Re: [Bug 418627] Re: [Regression] No sound in Karmic (HDA Intel ICH6 & Realtek ALC260)

On Thu, Oct 15, 2009 at 3:52 PM, Malaria <email address hidden> wrote:
> I have installed "linux-backports-modules-alsa-karmic-generic" and,
> unfortunately, after a reboot the problem still remain.

Please use apport-collect -p alsa-base 418627

Revision history for this message
Nicolas Delvaux (malizor) wrote : apport-collect data

Architecture: i386
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: ALC260 Analog [ALC260 Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: nicolas 1936 F.... pulseaudio
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xd0000000 irq 16'
   Mixer name : 'Realtek ALC260'
   Components : 'HDA:10ec0260,1025007f,00100400 HDA:14f12bfa,1025007f,00090000'
   Controls : 23
   Simple ctrls : 12
DistroRelease: Ubuntu 9.10
InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Alpha i386 (20091012)
Package: alsa-base 1.0.20+dfsg-1ubuntu5
PackageArchitecture: all
ProcEnviron:
 SHELL=/bin/bash
 LANG=fr_FR.UTF-8
ProcVersionSignature: Ubuntu 2.6.31-14.47-generic
Uname: Linux 2.6.31-14-generic i686
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
XsessionErrors:
 (gnome-settings-daemon:1952): GLib-CRITICAL **: g_propagate_error: assertion `src != NULL' failed
 (gnome-settings-daemon:1952): GLib-CRITICAL **: g_propagate_error: assertion `src != NULL' failed
 (nautilus:2052): Eel-CRITICAL **: eel_preferences_get_boolean: assertion `preferences_is_initialized ()' failed
 (polkit-gnome-authentication-agent-1:2082): GLib-CRITICAL **: g_once_init_leave: assertion `initialization_value != 0' failed

Revision history for this message
Nicolas Delvaux (malizor) wrote : AlsaDevices.txt
Revision history for this message
Nicolas Delvaux (malizor) wrote : AplayDevices.txt
Revision history for this message
Nicolas Delvaux (malizor) wrote : BootDmesg.txt
Revision history for this message
Nicolas Delvaux (malizor) wrote : Card0.Amixer.values.txt
Revision history for this message
Nicolas Delvaux (malizor) wrote : Card0.Codecs.codec.0.txt
Revision history for this message
Nicolas Delvaux (malizor) wrote : Card0.Codecs.codec.1.txt
Revision history for this message
Nicolas Delvaux (malizor) wrote : CurrentDmesg.txt
Revision history for this message
Nicolas Delvaux (malizor) wrote : Dependencies.txt
Revision history for this message
Nicolas Delvaux (malizor) wrote : PciMultimedia.txt
Changed in alsa-driver (Ubuntu):
status: Incomplete → New
tags: added: apport-collected
Revision history for this message
Nicolas Delvaux (malizor) wrote : Re: [Regression] No sound in Karmic (HDA Intel ICH6 & Realtek ALC260)

Ok, here it is. Now I know how to use apport-collect :)

Revision history for this message
Pahcixam (pahcixam) wrote : apport-collect data

Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: Slmodemd 1408 F.... slmodemd
 /dev/snd/pcmC0D6c: Slmodemd 1408 F.... slmodemd
 /dev/snd/pcmC0D6p: Slmodemd 1408 F.... slmodemd
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xd8240000 irq 22'
   Mixer name : 'Analog Devices AD1986A'
   Components : 'HDA:11d41986,144dc504,00100500 HDA:11c13026,2117144d,00100700'
   Controls : 39
   Simple ctrls : 23
DistroRelease: Ubuntu 9.10
Package: alsa-driver (not installed)
ProcEnviron:
 PATH=(custom, no user)
 LANG=fr_FR.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.31-14.47-generic
Uname: Linux 2.6.31-14-generic x86_64
UserGroups:

XsessionErrors:
 (gnome-settings-daemon:1850): GLib-CRITICAL **: g_propagate_error: assertion `src != NULL' failed
 (gnome-settings-daemon:1850): GLib-CRITICAL **: g_propagate_error: assertion `src != NULL' failed
 (polkit-gnome-authentication-agent-1:1960): GLib-CRITICAL **: g_once_init_leave: assertion `initialization_value != 0' failed
 (nautilus:1945): Eel-CRITICAL **: eel_preferences_get_boolean: assertion `preferences_is_initialized ()' failed
 (gnome-panel:1944): Gdk-CRITICAL **: gdk_x11_colormap_foreign_new: assertion `GDK_IS_VISUAL (visual)' failed

Revision history for this message
Pahcixam (pahcixam) wrote : AlsaDevices.txt
Revision history for this message
Pahcixam (pahcixam) wrote : AplayDevices.txt
Daniel T Chen (crimsun)
summary: - [Regression] No sound in Karmic (HDA Intel ICH6 & Realtek ALC260)
+ [Regression] 0x1025007f needs position_fix whitelist entry
Daniel T Chen (crimsun)
summary: - [Regression] 0x1025007f needs position_fix whitelist entry
+ [Regression] 0x1025007f needs model=acer quirk
Daniel T Chen (crimsun)
Changed in alsa-driver (Ubuntu):
importance: Medium → Low
status: New → Triaged
67 comments hidden view all 147 comments
Revision history for this message
Nicolas Delvaux (malizor) wrote : Re: [Regression] 0x1025007f needs model=acer quirk

I am on a fresh install so there were no linux-backports-alsa on my system.

So, with the latest snapshot, there is no difference :

- Bug without quirck
- Work as expected with model=will (both microphone, speakers and headphones
- Same with model=acer, but sound is too high (after some extra tests, I may say that it is 2x more on headphones and perhaps even more on speakers. Considering that sound become very ugly around 40%, thanks too integrated speakers, it's more useful and flexible to use model=will)

Daniel T Chen (crimsun)
summary: - [Regression] 0x1025007f needs model=acer quirk
+ [Regression] 0x1025007f needs model=will quirk
Daniel T Chen (crimsun)
Changed in alsa-driver (Ubuntu):
assignee: Ubuntu Audio Team (ubuntu-audio) → Daniel T Chen (crimsun)
status: Triaged → Fix Committed
Revision history for this message
jezeos (jeremy-bez) wrote :

I tried the option model=acer instead of model=will. I don't find that the sound is too high. (I didn't try eadphones).
The sound is very ugly, but by changing the subwoofer's volume (with alsamixer command) which is too high, the sound becomes good.
with model=will, I did not have the opportunity to change the subwoofer's volume. And the sound seems the same after change. So, according to me model=acer is a better choice.
(I'm pretty sure that earlier I tried model=acer and get no sound.)

Revision history for this message
jezeos (jeremy-bez) wrote :

Ok, so I retried with model=acer.
In fact the volume control in the top board, controls the subwoofer's volume. So it's necessary to use the alsamixer to change the volume. Not pratical, so !

Revision history for this message
Daniel T Chen (crimsun) wrote :

@jezeos
Please use: apport-collect -p alsa-base 418627

Revision history for this message
jezeos (jeremy-bez) wrote : apport-collect data

AplayDevices:
 **** List of PLAYBACK Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: ALC260 Analog [ALC260 Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
Architecture: i386
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: ALC260 Analog [ALC260 Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: jez 1516 F.... pulseaudio
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xd0000000 irq 16'
   Mixer name : 'Realtek ALC260'
   Components : 'HDA:10ec0260,1025007f,00100400 HDA:14f12bfa,1025007f,00090000'
   Controls : 22
   Simple ctrls : 14
CheckboxSubmission: c94102629a78a92484df7519f3dc8001
CheckboxSystem: 6234f1c3ecba396013fc87a03e2fada9
DistroRelease: Ubuntu 9.10
Package: alsa-base 1.0.20+dfsg-1ubuntu5
PackageArchitecture: all
ProcEnviron:
 SHELL=/bin/bash
 LANG=fr_FR.UTF-8
 LANGUAGE=fr_FR.UTF-8
ProcVersionSignature: Ubuntu 2.6.31-17.54-generic
Uname: Linux 2.6.31-17-generic i686
UserGroups: adm admin audio cdrom dialout dip floppy fuse lpadmin netdev plugdev video

Revision history for this message
jezeos (jeremy-bez) wrote : AlsaDevices.txt
Revision history for this message
jezeos (jeremy-bez) wrote : BootDmesg.txt
Revision history for this message
jezeos (jeremy-bez) wrote : Card0.Amixer.values.txt
Revision history for this message
jezeos (jeremy-bez) wrote : Card0.Codecs.codec.0.txt
Revision history for this message
jezeos (jeremy-bez) wrote : Card0.Codecs.codec.1.txt
Revision history for this message
jezeos (jeremy-bez) wrote : CurrentDmesg.txt
Revision history for this message
jezeos (jeremy-bez) wrote : Dependencies.txt
Revision history for this message
jezeos (jeremy-bez) wrote : PciMultimedia.txt
Revision history for this message
jezeos (jeremy-bez) wrote : XsessionErrors.txt
Revision history for this message
jezeos (jeremy-bez) wrote :

Done :)

Revision history for this message
Nicolas Delvaux (malizor) wrote :

Same bug and same workaround on Lucid (daily fresh install).

What is missing for a fix now that we know the problem ?

tags: added: regression-release
removed: regression-potential
Revision history for this message
Cristian Menghi (cristian-menghi) wrote : apport-collect data

Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC1: cristian 2009 F.... kmix
 /dev/snd/controlC0: cristian 1978 F.... knotify4
                      cristian 2005 F.... pulseaudio
                      cristian 2009 F.... kmix
Card0.Amixer.info:
 Card hw:0 'SB'/'HDA ATI SB at 0xfdcf4000 irq 16'
   Mixer name : 'Realtek ALC888'
   Components : 'HDA:10ec0888,14622fbd,00100001 HDA:11c11040,11c10001,00100200'
   Controls : 31
   Simple ctrls : 19
Card1.Amixer.info:
 Card hw:1 'HDMI'/'HDA ATI HDMI at 0xfdee8000 irq 19'
   Mixer name : 'ATI RS690/780 HDMI'
   Components : 'HDA:1002791a,00791a00,00100000'
   Controls : 4
   Simple ctrls : 1
Card1.Amixer.values:
 Simple mixer control 'IEC958',0
   Capabilities: pswitch pswitch-joined
   Playback channels: Mono
   Mono: Playback [off]
DistroRelease: Ubuntu 9.10
Package: alsa-base 1.0.20+dfsg-1ubuntu5
PackageArchitecture: all
ProcEnviron:
 SHELL=/bin/bash
 LANG=es_UY.UTF-8
 LANGUAGE=
Uname: Linux 2.6.32-02063202-generic x86_64
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare vboxusers www-data

Revision history for this message
Cristian Menghi (cristian-menghi) wrote : AlsaDevices.txt
Revision history for this message
Cristian Menghi (cristian-menghi) wrote : AplayDevices.txt
Revision history for this message
Cristian Menghi (cristian-menghi) wrote : ArecordDevices.txt
Revision history for this message
Cristian Menghi (cristian-menghi) wrote : BootDmesg.txt
Revision history for this message
Cristian Menghi (cristian-menghi) wrote : Card0.Amixer.values.txt
Revision history for this message
Cristian Menghi (cristian-menghi) wrote : Card0.Codecs.codec.0.txt
Revision history for this message
Cristian Menghi (cristian-menghi) wrote : Card0.Codecs.codec.1.txt
Revision history for this message
Cristian Menghi (cristian-menghi) wrote : Card1.Codecs.codec.0.txt
Revision history for this message
Cristian Menghi (cristian-menghi) wrote : CurrentDmesg.txt
Revision history for this message
Cristian Menghi (cristian-menghi) wrote : Dependencies.txt
Revision history for this message
Cristian Menghi (cristian-menghi) wrote : PciMultimedia.txt
Revision history for this message
Nicolas Delvaux (malizor) wrote :

Still the same bug (and same workaround) on an up to date Lucid.

What is the meaning of "Fix Commited" ?

Revision history for this message
Brad Figg (brad-figg) wrote :

This bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? Can you try with the latest development release of Ubuntu? ISO CD images are available from http://cdimage.ubuntu.com/releases/ .

If it remains an issue, could you run the following command from a Terminal (Applications->Accessories->Terminal). It will automatically gather and attach updated debug information to this report.

apport-collect -p alsa-base %BUG_ID%

Also, if you could test the latest upstream kernel available that would be great. It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text. Please let us know your results.

Thanks in advance.

Revision history for this message
Brad Figg (brad-figg) wrote :

please ignore the last comment, script gone wild

Revision history for this message
Nicolas Delvaux (malizor) wrote :

Last time I tried Lucid (a week ago?) this bug was still here.

I still don't understand what "fix committed" means in this context.

If necessary, I'm can do whatever testing you want...

Revision history for this message
ex-oficio (wilkinson-luke) wrote :

RE my post on the 31st of october ( #84 ) and my problems with sound. i have found the solution and it was the sl-modem proprietary driver:

https://bugs.launchpad.net/ubuntu/+source/sl-modem/+bug/449762

disabling it (in the hardware drivers tool in the administration menu) and restoring my pulesaudio configuration files to their original state overcame the problem.

its interesting that nusret's post from the 28th of october also worked, although requiring manual edits to files.

just posting here in case anyone else has experienced this problem.

Revision history for this message
Daniel T Chen (crimsun) wrote :

The following commit in sound-2.6 needs to be sent to stable@kernel:

commit 950200e2ff11daae1c5d9426703bdd494603f38b
Author: Daniel T Chen <email address hidden>
Date: Sun Dec 13 14:11:02 2009 -0500

    ALSA: hda: Use ALC260_WILL quirk for another Acer model (0x1025007f)

    BugLink: https://bugs.launchpad.net/bugs/418627

    The original reporter states that this quirk is necessary to obtain
    reasonable gain for playback. Without it, sound is inaudible. Tested
    with playback (spkr and hp) and capture.

    Signed-off-by: Daniel T Chen <email address hidden>
    Signed-off-by: Takashi Iwai <email address hidden>

Revision history for this message
Nicolas Delvaux (malizor) wrote :

Nice to ear from you Daniel :)

Is there anything I can do to help with this?

Revision history for this message
Daniel T Chen (crimsun) wrote :

Cherry-picked into my lp418627 branch (http://kernel.ubuntu.com/git?p=dtchen/ubuntu-lucid.git;a=shortlog;h=refs/heads/lp418627)

Sent to stable@kernel

Revision history for this message
Nicolas Delvaux (malizor) wrote :

Do we have to wait for an upstream inclusion or will the patch be in the default lucid kernel ?

Revision history for this message
Daniel T Chen (crimsun) wrote : Re: [Bug 418627] Re: [Regression] 0x1025007f needs model=will quirk

It's already in 2.6.32.11, which is being merged for Lucid post-Beta 2.

Revision history for this message
Nicolas Delvaux (malizor) wrote :

I confirm this is fixed.

Many thanks ! :-)

Changed in alsa-driver (Ubuntu):
status: Fix Committed → Fix Released
Revision history for this message
Brad Figg (brad-figg) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-lucid' to 'verification-done-lucid'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-lucid
Displaying first 40 and last 40 comments. View all 147 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Bug attachments